TechDraw NewArch

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw NewArch and the translation is 35% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎Türkçe
Arrow-left.svg Previous: Techdraw-draft-view.png New Draft

TechDraw NewArch.png TechDraw NewArch

Menu location
TechDraw → ArchView
Workbenches
TechDraw
Default shortcut
Introduced in version
-
See also

Descriere

Instrumentul ArchView înserează o vedere a unei Arch SectionPlane pe o TechDraw page.

The ArchView tool inserts a view of an Arch SectionPlane.svg Arch SectionPlane on a TechDraw page.

TechDraw Arch example.jpg

Cum se utilizează

  1. Selectați un plan de secționare Arch în vederea 3D sau în arborescență
  2. Dacă aveți mai multe pagini de desen în document, va trebui să selectați pagina dorită din arborescență.
  3. Apăsați butonul Techdraw-arch-view.png ArchView
  4. O vizualizare a obiectelor întâlnite de către planul de secționare va apărea pe pagină.
  1. Select an Arch section plane in the 3D view or in the tree
  2. If you have multiple drawing pages in your document, you will need to select the desired page in the tree.
  3. Press the Techdraw-arch-view.png ArchView button
  4. A view of the objects seen by the section plane will appear on the page.

Note

  • Deoarece ArchView este randat în Modulul Arch, TechDraw are un control limitat asupra aspectului acestuia. Este posibil să trebuiască să faceți modificări în interiorul Atelierului Arch pentru a obține reprezentarea dorită.

The ArchView is rendered within the Arch Workbench, therefore TechDraw has limited control over its appearance. You may need to make changes within Arch to get the representation you want.

Opţiuni

  • Arch View este randat de către Atelierul Arch Module, în același mod ca și în Atelieru Drawing Workbench. VEzi Notele.
  • Draft Dimensions, Draft Texts și late obeicte 2D (Sketch or Draft) considered de către planul de secționare este randată "as is" (nici o intersecție sau linii ascunse) deasupra formei geometrice solide
  • Volumul Arch Spaces nu este randat, numei eticheta va fi randată
  • Liniile de secțiune, șiniile proiectate (dacă proprietatea Show Hidden este setată la True) și liniile 2D lines deasupra pot fi randate cu diferite grosimi de linie. Aceasta pote fi configurată în preferințele Arch.
  • ArchView are două moduri de randare: Wireframe, care utilizează algoritmii OpenCasCade din Drawing Module, este rapid și produce numai linii (nici o fațetă plină nu este posibilă), și Solid, care se bazează pe Painter's algorithm, și este capabil să randeze fațete pline cu culoarea formei lor. Totuși, este mult mai lent și poate claca în
multe situații. Imaginea de mai jos ilustrează 
diferențele între cele două moduri de randare:

TechDraw Arch rendering.jpg

  • Numai linia de bază Arch Pipes este randată, nu întreg volumul tubului/țevii:

TechDraw Arch piping.jpg

Proprietăți

  • DataSource: Obiectul Planul secțiunii va fi afișat
  • DataAll On: Dacă obiectele ascunse trebuie să fie afișate sau nu. Dacă sunt False, numai obiectele care sunt vizibile în vizualizarea 3D sunt redate
  • DataRender Mode: Modul de randare de utilizat, Solid sau Wireframe
  • DataShow Hidden:Dacă geometria ascunsă (partea geometria piesei care se află în spatele planului de secțiune) este afișată sau nu. Acesta va fi randată într-o linie punctată, care poate fi configurată în preferințele Arch.
* DataShow Fill: Dacă zonele secționate trebuie umplute cu o culoare gri sau nu
  • DataLine Width: Grosimea liniilor principale. Liniile de secțiune și proporțiile grosimea liniilor projected/2D poate fi configurat în preferințele Atelierului Arch
  • DataFont Size: Dimensiunea tuturor textelor care apar în această vizualizare

Script

ArchViews poate fi adăugat la Pages utilizând Python.

See also: TechDraw API and FreeCAD Scripting Basics.

The New Arch tool can be used in macros and from the Python console by using the following functions:

dv = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewArch','TestArch')
dv.Source = mySectionPlane
rc = page.addView(dv)


Arrow-left.svg Previous: Techdraw-draft-view.png New Draft